Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 12 Jan 2021 01:46:20 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns order id - 9619073613

My refund has not been initiated because the items taken by the courier is not sent to your warehouse.

It’s been a month. This is is very disappointing. You have been sending me emails with the same updates. Until when should I wait for the courier to resolve this? Why should I wait for the courier to take resolution on my complaint.  I ordered from Centrepoint and Centrepoint should resolve this. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1977425